Skip to main content
PATCH
/
cloud
/
v1
/
users
/
assignments
/
{assignment_id}
Update role assignment
curl --request PATCH \
  --url https://api.gcore.com/cloud/v1/users/assignments/{assignment_id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "user_id": 777,
  "client_id": 8,
  "project_id": null
}
'
{
  "assignment_id": 12
}

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

assignment_id
integer
required

Assignment ID

Example:

123

Body

application/json
role
enum<string>
required

User role

Available options:
ClientAdministrator,
InternalNetworkOnlyUser,
Observer,
ProjectAdministrator,
User
Example:

"ClientAdministrator"

user_id
integer
required

User ID

Example:

777

client_id
integer | null

Client ID. Required if project_id is specified

Example:

8

project_id
integer | null

Project ID

Example:

null

Response

200 - application/json

OK

assignment_id
integer
required

Assignment ID

Example:

12